cordova-commits mailing list archives

Site index · List index
Message view « Date » · « Thread »
Top « Date » · « Thread »
From agri...@apache.org
Subject ios commit: [CB-4469] Move copy_www.sh to cordova/lib/copy-www-build-step.sh
Date Thu, 05 Sep 2013 19:00:19 GMT
Updated Branches:
  refs/heads/master 8ac56a1b9 -> a577edf15


[CB-4469] Move copy_www.sh to cordova/lib/copy-www-build-step.sh

So that the script will be updatable with the rest of the scripts within
cordova/


Project: http://git-wip-us.apache.org/repos/asf/cordova-ios/repo
Commit: http://git-wip-us.apache.org/repos/asf/cordova-ios/commit/a577edf1
Tree: http://git-wip-us.apache.org/repos/asf/cordova-ios/tree/a577edf1
Diff: http://git-wip-us.apache.org/repos/asf/cordova-ios/diff/a577edf1

Branch: refs/heads/master
Commit: a577edf15e863eacdb62416483dfbf370b43567d
Parents: 8ac56a1
Author: Andrew Grieve <agrieve@chromium.org>
Authored: Thu Sep 5 14:59:15 2013 -0400
Committer: Andrew Grieve <agrieve@chromium.org>
Committed: Thu Sep 5 15:00:13 2013 -0400

----------------------------------------------------------------------
 .../__TESTING__.xcodeproj/project.pbxproj       |  2 +-
 bin/templates/project/copy_www.sh               | 79 --------------------
 .../project/cordova/lib/copy-www-build-step.sh  | 79 ++++++++++++++++++++
 3 files changed, 80 insertions(+), 80 deletions(-)
----------------------------------------------------------------------


http://git-wip-us.apache.org/repos/asf/cordova-ios/blob/a577edf1/bin/templates/project/__TESTING__.xcodeproj/project.pbxproj
----------------------------------------------------------------------
diff --git a/bin/templates/project/__TESTING__.xcodeproj/project.pbxproj b/bin/templates/project/__TESTING__.xcodeproj/project.pbxproj
index a57a350..0adbd02 100755
--- a/bin/templates/project/__TESTING__.xcodeproj/project.pbxproj
+++ b/bin/templates/project/__TESTING__.xcodeproj/project.pbxproj
@@ -356,7 +356,7 @@
 			);
 			runOnlyForDeploymentPostprocessing = 0;
 			shellPath = /bin/sh;
-			shellScript = ./copy_www.sh;
+			shellScript = cordova/lib/copy-www-build-step.sh;
 		};
 /* End PBXShellScriptBuildPhase section */
 

http://git-wip-us.apache.org/repos/asf/cordova-ios/blob/a577edf1/bin/templates/project/copy_www.sh
----------------------------------------------------------------------
diff --git a/bin/templates/project/copy_www.sh b/bin/templates/project/copy_www.sh
deleted file mode 100755
index 1fe36d8..0000000
--- a/bin/templates/project/copy_www.sh
+++ /dev/null
@@ -1,79 +0,0 @@
-#!/bin/sh
-#
-#    Licensed to the Apache Software Foundation (ASF) under one
-#    or more contributor license agreements.  See the NOTICE file
-#    distributed with this work for additional information
-#    regarding copyright ownership.  The ASF licenses this file
-#    to you under the Apache License, Version 2.0 (the
-#    "License"); you may not use this file except in compliance
-#    with the License.  You may obtain a copy of the License at
-#
-#    http://www.apache.org/licenses/LICENSE-2.0
-#
-#    Unless required by applicable law or agreed to in writing,
-#    software distributed under the License is distributed on an
-#    "AS IS" BASIS, WITHOUT WARRANTIES OR CONDITIONS OF ANY
-#    KIND, either express or implied.  See the License for the
-#    specific language governing permissions and limitations
-#    under the License.
-#
-#
-#   This script copies the www directory into the Xcode project.
-#
-#   This script should not be called directly.
-#   It is called as a build step from Xcode.
-
-SRC_DIR="www/"
-DST_DIR="$BUILT_PRODUCTS_DIR/$FULL_PRODUCT_NAME/www"
-COPY_HIDDEN=
-ORIG_IFS=$IFS
-IFS=$(echo -en "\n\b")
-
-if [[ ! -e "$SRC_DIR" ]]; then
-  echo "Path does not exist: $SRC_DIR"
-  exit 1
-fi
-
-if [[ -n $COPY_HIDDEN ]]; then
-  alias do_find='find "$SRC_DIR"'
-else
-  alias do_find='find -L "$SRC_DIR" -name ".*" -prune -o'
-fi
-
-time (
-# Code signing files must be removed or else there are
-# resource signing errors.
-rm -rf "$DST_DIR" \
-       "$BUILT_PRODUCTS_DIR/$FULL_PRODUCT_NAME/_CodeSignature" \
-       "$BUILT_PRODUCTS_DIR/$FULL_PRODUCT_NAME/PkgInfo" \
-       "$BUILT_PRODUCTS_DIR/$FULL_PRODUCT_NAME/embedded.mobileprovision"
-
-# Directories
-for p in $(do_find -type d -print); do
-  subpath="${p#$SRC_DIR}"
-  mkdir "$DST_DIR$subpath" || exit 1
-done
-
-# Symlinks
-for p in $(do_find -type l -print); do
-  subpath="${p#$SRC_DIR}"
-  source=$(readlink $SRC_DIR$subpath)
-  sourcetype=$(stat -f "%HT%SY" $source)
-  if [ "$sourcetype" = "Directory" ]; then
-    mkdir "$DST_DIR$subpath" || exit 2
-  else
-    rsync -a "$source" "$DST_DIR$subpath" || exit 3
-  fi
-done
-
-# Files
-for p in $(do_find -type f -print); do
-  subpath="${p#$SRC_DIR}"
-  if ! ln "$SRC_DIR$subpath" "$DST_DIR$subpath" 2>/dev/null; then
-    rsync -a "$SRC_DIR$subpath" "$DST_DIR$subpath" || exit 4
-  fi
-done
-
-)
-IFS=$ORIG_IFS
-

http://git-wip-us.apache.org/repos/asf/cordova-ios/blob/a577edf1/bin/templates/project/cordova/lib/copy-www-build-step.sh
----------------------------------------------------------------------
diff --git a/bin/templates/project/cordova/lib/copy-www-build-step.sh b/bin/templates/project/cordova/lib/copy-www-build-step.sh
new file mode 100755
index 0000000..1fe36d8
--- /dev/null
+++ b/bin/templates/project/cordova/lib/copy-www-build-step.sh
@@ -0,0 +1,79 @@
+#!/bin/sh
+#
+#    Licensed to the Apache Software Foundation (ASF) under one
+#    or more contributor license agreements.  See the NOTICE file
+#    distributed with this work for additional information
+#    regarding copyright ownership.  The ASF licenses this file
+#    to you under the Apache License, Version 2.0 (the
+#    "License"); you may not use this file except in compliance
+#    with the License.  You may obtain a copy of the License at
+#
+#    http://www.apache.org/licenses/LICENSE-2.0
+#
+#    Unless required by applicable law or agreed to in writing,
+#    software distributed under the License is distributed on an
+#    "AS IS" BASIS, WITHOUT WARRANTIES OR CONDITIONS OF ANY
+#    KIND, either express or implied.  See the License for the
+#    specific language governing permissions and limitations
+#    under the License.
+#
+#
+#   This script copies the www directory into the Xcode project.
+#
+#   This script should not be called directly.
+#   It is called as a build step from Xcode.
+
+SRC_DIR="www/"
+DST_DIR="$BUILT_PRODUCTS_DIR/$FULL_PRODUCT_NAME/www"
+COPY_HIDDEN=
+ORIG_IFS=$IFS
+IFS=$(echo -en "\n\b")
+
+if [[ ! -e "$SRC_DIR" ]]; then
+  echo "Path does not exist: $SRC_DIR"
+  exit 1
+fi
+
+if [[ -n $COPY_HIDDEN ]]; then
+  alias do_find='find "$SRC_DIR"'
+else
+  alias do_find='find -L "$SRC_DIR" -name ".*" -prune -o'
+fi
+
+time (
+# Code signing files must be removed or else there are
+# resource signing errors.
+rm -rf "$DST_DIR" \
+       "$BUILT_PRODUCTS_DIR/$FULL_PRODUCT_NAME/_CodeSignature" \
+       "$BUILT_PRODUCTS_DIR/$FULL_PRODUCT_NAME/PkgInfo" \
+       "$BUILT_PRODUCTS_DIR/$FULL_PRODUCT_NAME/embedded.mobileprovision"
+
+# Directories
+for p in $(do_find -type d -print); do
+  subpath="${p#$SRC_DIR}"
+  mkdir "$DST_DIR$subpath" || exit 1
+done
+
+# Symlinks
+for p in $(do_find -type l -print); do
+  subpath="${p#$SRC_DIR}"
+  source=$(readlink $SRC_DIR$subpath)
+  sourcetype=$(stat -f "%HT%SY" $source)
+  if [ "$sourcetype" = "Directory" ]; then
+    mkdir "$DST_DIR$subpath" || exit 2
+  else
+    rsync -a "$source" "$DST_DIR$subpath" || exit 3
+  fi
+done
+
+# Files
+for p in $(do_find -type f -print); do
+  subpath="${p#$SRC_DIR}"
+  if ! ln "$SRC_DIR$subpath" "$DST_DIR$subpath" 2>/dev/null; then
+    rsync -a "$SRC_DIR$subpath" "$DST_DIR$subpath" || exit 4
+  fi
+done
+
+)
+IFS=$ORIG_IFS
+


Mime
View raw message